EMI 2 (Matterhorn) - Update 8 (28.01.2013), v. 2.6.0-1

The Update contains:

  • minor releases of GFAL/lcg_util v. 1.14.0, FTS v. 2.2.9, UNICORE/X6 & UNICORE TSI6, v. 5.1.0
  • revision releases of DPM & LFC v. 1.8.6, VOMS v. 2.0.10-1

DPM v. 1.8.6, Task #38019

Affected Services

  • affected services DPM, UI & WN

What's New

  • This is a very minimal release, covering two security vulnerabilities recently reported. No new functionality has been introduced.
    • Fixed bugs
      • LCGDM-852: quick fix for reported vulnerability
      • LCGDM-859: authz issue in the srm

Installation and Configuration

  • Head Node:
       # yum update emi-dpm_mysql
       # ( and don't forget to re-run yaim )
    • This is enough for the default Head Node setup, where all daemons are deployed in a single machine. If you have the daemons split in different machines, then you'll need to independently update each daemon in each corresponding machine.
  • Disk Node:
       # yum update emi-dpm_disk
       # ( and don't forget to re-run yaim )
  • Schema Upgrade:
    • No database schema upgrade involved.

Known issues

  • None for now.

List of RfCs

Documentation

Updated artifacts

Binaries:
SL5
dpm-1.8.6-1.el5.x86_64.rpm
dpm-copy-server-mysql-1.8.6-1.el5.x86_64.rpm
dpm-copy-server-oracle-1.8.6-1.el5.x86_64.rpm
dpm-devel-1.8.6-1.el5.x86_64.rpm
dpm-libs-1.8.6-1.el5.x86_64.rpm
dpm-libs-1.8.6-1.el5.i386.rpm
dpm-name-server-mysql-1.8.6-1.el5.x86_64.rpm
dpm-name-server-oracle-1.8.6-1.el5.x86_64.rpm
dpm-perl-1.8.6-1.el5.x86_64.rpm
dpm-python-1.8.6-1.el5.x86_64.rpm
dpm-python26-1.8.6-1.el5.x86_64.rpm
dpm-rfio-server-1.8.6-1.el5.x86_64.rpm
dpm-server-mysql-1.8.6-1.el5.x86_64.rpm
dpm-server-oracle-1.8.6-1.el5.x86_64.rpm
dpm-srm-server-mysql-1.8.6-1.el5.x86_64.rpm
dpm-srm-server-oracle-1.8.6-1.el5.x86_64.rpm
emi-dpm_disk-1.8.6-1.el5.x86_64.rpm
emi-dpm_mysql-1.8.6-1.el5.x86_64.rpm
emi-dpm_oracle-1.8.6-1.el5.x86_64.rpm
lcgdm-devel-1.8.6-1.el5.x86_64.rpm
lcgdm-devel-1.8.6-1.el5.i386.rpm
lcgdm-libs-1.8.6-1.el5.x86_64.rpm
lcgdm-libs-1.8.6-1.el5.i386.rpm
SL6
dpm-1.8.6-1.el6.x86_64.rpm
dpm-copy-server-mysql-1.8.6-1.el6.x86_64.rpm
dpm-copy-server-oracle-1.8.6-1.el6.x86_64.rpm
dpm-devel-1.8.6-1.el6.x86_64.rpm
dpm-libs-1.8.6-1.el6.x86_64.rpm
dpm-libs-1.8.6-1.el6.i386.rpm
dpm-name-server-mysql-1.8.6-1.el6.x86_64.rpm
dpm-name-server-oracle-1.8.6-1.el6.x86_64.rpm
dpm-perl-1.8.6-1.el6.x86_64.rpm
dpm-python-1.8.6-1.el6.x86_64.rpm
dpm-rfio-server-1.8.6-1.el6.x86_64.rpm
dpm-server-mysql-1.8.6-1.el6.x86_64.rpm
dpm-server-oracle-1.8.6-1.el6.x86_64.rpm
dpm-srm-server-mysql-1.8.6-1.el6.x86_64.rpm
dpm-srm-server-oracle-1.8.6-1.el6.x86_64.rpm
emi-dpm_disk-1.8.6-1.el6.x86_64.rpm
emi-dpm_mysql-1.8.6-1.el6.x86_64.rpm
emi-dpm_oracle-1.8.6-1.el6.x86_64.rpm
lcgdm-devel-1.8.6-1.el6.x86_64.rpm
lcgdm-devel-1.8.6-1.el6.i386.rpm
lcgdm-libs-1.8.6-1.el6.x86_64.rpm
lcgdm-libs-1.8.6-1.el6.i386.rpm
Binary tarballs:
SL5
dpm-1.8.6-1.el5.x86_64.tar.gz
dpm-copy-server-mysql-1.8.6-1.el5.x86_64.tar.gz
dpm-copy-server-oracle-1.8.6-1.el5.x86_64.tar.gz
dpm-devel-1.8.6-1.el5.x86_64.tar.gz
dpm-libs-1.8.6-1.el5.x86_64.tar.gz
dpm-name-server-mysql-1.8.6-1.el5.x86_64.tar.gz
dpm-name-server-oracle-1.8.6-1.el5.x86_64.tar.gz
dpm-perl-1.8.6-1.el5.x86_64.tar.gz
dpm-python-1.8.6-1.el5.x86_64.tar.gz
dpm-python26-1.8.6-1.el5.x86_64.tar.gz
dpm-rfio-server-1.8.6-1.el5.x86_64.tar.gz
dpm-server-mysql-1.8.6-1.el5.x86_64.tar.gz
dpm-server-oracle-1.8.6-1.el5.x86_64.tar.gz
dpm-srm-server-mysql-1.8.6-1.el5.x86_64.tar.gz
dpm-srm-server-oracle-1.8.6-1.el5.x86_64.tar.gz
lcgdm-devel-1.8.6-1.el5.x86_64.tar.gz
lcgdm-libs-1.8.6-1.el5.x86_64.tar.gz
SL6
dpm-1.8.6-1.el6.x86_64.tar.gz
dpm-copy-server-mysql-1.8.6-1.el6.x86_64.tar.gz
dpm-copy-server-oracle-1.8.6-1.el6.x86_64.tar.gz
dpm-devel-1.8.6-1.el6.x86_64.tar.gz
dpm-libs-1.8.6-1.el6.x86_64.tar.gz
dpm-libs-1.8.6-1.el6.i386.tar.gz
dpm-name-server-mysql-1.8.6-1.el6.x86_64.tar.gz
dpm-name-server-oracle-1.8.6-1.el6.x86_64.tar.gz
dpm-perl-1.8.6-1.el6.x86_64.tar.gz
dpm-python-1.8.6-1.el6.x86_64.tar.gz
dpm-rfio-server-1.8.6-1.el6.x86_64.tar.gz
dpm-server-mysql-1.8.6-1.el6.x86_64.tar.gz
dpm-server-oracle-1.8.6-1.el6.x86_64.tar.gz
dpm-srm-server-mysql-1.8.6-1.el6.x86_64.tar.gz
dpm-srm-server-oracle-1.8.6-1.el6.x86_64.tar.gz
lcgdm-devel-1.8.6-1.el6.x86_64.tar.gz
lcgdm-devel-1.8.6-1.el6.i386.tar.gz
lcgdm-libs-1.8.6-1.el6.x86_64.tar.gz
lcgdm-libs-1.8.6-1.el6.i386.tar.gz
Sources:
SL5
lcgdm-1.8.6-1.src.rpm
lcgdm-meta-1.8.6-2.src.rpm
lcgdm-oracle-1.8.6-1.src.rpm
lcgdm-meta-oracle-1.8.6-2.src.rpm
SL6
lcgdm-1.8.6-1.el6.src.rpm
lcgdm-meta-1.8.6-2.el6.src.rpm
lcgdm-oracle-1.8.6-1.el6.src.rpm
lcgdm-meta-oracle-1.8.6-2.el6.src.rpm

LFC v. 1.8.6, Task #38019

Affected Services

  • affected services LFC, UI & WN

What's New

  • This is a very minimal release, covering two security vulnerabilities recently reported. No new functionality has been introduced.
    • Fixed bugs
      • LCGDM-852: quick fix for reported vulnerability
      • LCGDM-859: authz issue in the srm

Installation and Configuration

Known issues

  • None for now.

List of RfCs

Documentation

Updated artifacts

Binaries:
SL5
emi-lfc_mysql-1.8.6-1.el5.x86_64.rpm
emi-lfc_oracle-1.8.6-1.el5.x86_64.rpm
lcgdm-devel-1.8.6-1.el5.x86_64.rpm
lcgdm-devel-1.8.6-1.el5.i386.rpm
lcgdm-libs-1.8.6-1.el5.x86_64.rpm
lcgdm-libs-1.8.6-1.el5.i386.rpm
lfc-1.8.6-1.el5.x86_64.rpm
lfc-devel-1.8.6-1.el5.x86_64.rpm
lfc-dli-1.8.6-1.el5.x86_64.rpm
lfc-libs-1.8.6-1.el5.x86_64.rpm
lfc-libs-1.8.6-1.el5.i386.rpm
lfc-perl-1.8.6-1.el5.x86_64.rpm
lfc-python-1.8.6-1.el5.x86_64.rpm
lfc-python26-1.8.6-1.el5.x86_64.rpm
lfc-server-mysql-1.8.6-1.el5.x86_64.rpm
lfc-server-oracle-1.8.6-1.el5.x86_64.rpm
SL6
emi-lfc_mysql-1.8.6-1.el6.x86_64.rpm
emi-lfc_oracle-1.8.6-1.el6.x86_64.rpm
lcgdm-devel-1.8.6-1.el6.x86_64.rpm
lcgdm-devel-1.8.6-1.el6.i386.rpm
lcgdm-libs-1.8.6-1.el6.x86_64.rpm
lcgdm-libs-1.8.6-1.el6.i386.rpm
lfc-1.8.6-1.el6.x86_64.rpm
lfc-devel-1.8.6-1.el6.x86_64.rpm
lfc-dli-1.8.6-1.el6.x86_64.rpm
lfc-libs-1.8.6-1.el6.x86_64.rpm
lfc-libs-1.8.6-1.el6.i386.rpm
lfc-perl-1.8.6-1.el6.x86_64.rpm
lfc-python-1.8.6-1.el6.x86_64.rpm
lfc-server-mysql-1.8.6-1.el6.x86_64.rpm
lfc-server-oracle-1.8.6-1.el6.x86_64.rpm
Binary tarballs:
SL5
emi-lfc_mysql-1.8.6-1.el5.x86_64.tar.gz
emi-lfc_oracle-1.8.6-1.el5.x86_64.tar.gz
lcgdm-devel-1.8.6-1.el5.x86_64.tar.gz
lcgdm-libs-1.8.6-1.el5.x86_64.tar.gz
lfc-1.8.6-1.el5.x86_64.tar.gz
lfc-devel-1.8.6-1.el5.x86_64.tar.gz
lfc-dli-1.8.6-1.el5.x86_64.tar.gz
lfc-libs-1.8.6-1.el5.x86_64.tar.gz
lfc-perl-1.8.6-1.el5.x86_64.tar.gz
lfc-python-1.8.6-1.el5.x86_64.tar.gz
lfc-python26-1.8.6-1.el5.x86_64.tar.gz
lfc-server-mysql-1.8.6-1.el5.x86_64.tar.gz
lfc-server-oracle-1.8.6-1.el5.x86_64.tar.gz
SL6
lcgdm-devel-1.8.6-1.el6.x86_64.tar.gz
lcgdm-devel-1.8.6-1.el6.i386.tar.gz
lcgdm-libs-1.8.6-1.el6.x86_64.tar.gz
lcgdm-libs-1.8.6-1.el6.i386.tar.gz
lfc-1.8.6-1.el6.x86_64.tar.gz
lfc-devel-1.8.6-1.el6.x86_64.tar.gz
lfc-dli-1.8.6-1.el6.x86_64.tar.gz
lfc-libs-1.8.6-1.el6.x86_64.tar.gz
lfc-libs-1.8.6-1.el6.i386.tar.gz
lfc-perl-1.8.6-1.el6.x86_64.tar.gz
lfc-python-1.8.6-1.el6.x86_64.tar.gz
lfc-server-mysql-1.8.6-1.el6.x86_64.tar.gz
lfc-server-oracle-1.8.6-1.el6.x86_64.tar.gz
Sources:
SL5
lcgdm-1.8.6-1.src.rpm
lcgdm-meta-1.8.6-2.src.rpm
lcgdm-oracle-1.8.6-1.src.rpm
lcgdm-meta-oracle-1.8.6-2.src.rpm
SL6
lcgdm-1.8.6-1.el6.src.rpm
lcgdm-meta-1.8.6-2.el6.src.rpm
lcgdm-oracle-1.8.6-1.el6.src.rpm
lcgdm-meta-oracle-1.8.6-2.el6.src.rpm

GFAL/lcg_util v. 1.14.0, Task #38294

Affected Services

  • affected services: DPM, LFC, UI, WN

What's New

  • The new version of GFAL/lcg_Utils provides:
    • the possibility to enable IPV6 in gfal 2.0 grisftp plugin by the config file
    • implementation of the mkdir recursive logic for gsiftp *lfc_plugin able to handle url with the form lfc://hostname/path instead of lfn:/path.
  • and fixes important issues like: *STORM Spacetoken does not seems to have lifetime and triggers an error with GFAL 2.0 transfers *change the default timeout of 180 secondes for lcg-util *gfal2 ssl thread safety
  • For more details please read the GFAL/lcg_Util 1.14.0 Extended Release Notes

Installation and Configuration

  • Installation
    • Using the appropriate repo files, just issue:
            # sudo yum install lcg-util
    • Mind, that it does not install all the transfer plugins that LCG_Util supports. They must also be installed if needed (dcap, lcgdm, lfc).
  • Upgrading to GFAL_lcg_util 1.14.0
    • Using the appropriate repo files, just issue:
            # sudo yum update lcg-util

Known issues

  • Multiple versions of Globus libraries loaded
    • Symptom:
      • When using the non-threaded GFAL Python binding, the second call of a GFAL function using gfal_creat internally fails.
    • Reason
      • When using non-threaded gfal from python, (import gfal) and using RFIO access method, both the threaded and non-threaded Globus libraries are loaded, because the plugin handling the case uses threaded globus while non-threaded GFAL uses non-threaded Globus. This results the wrong behavior.
    • Workaround
      • Use the threaded GFAL version from Python. The following two lines do the trick:
                 import gfalthr
                 gfal=gfalthr

List of RfCs

Documentation

Updated artifacts

Binaries:
SL5
CGSI-gSOAP-1.3.5-2.el5.x86_64.rpm
CGSI-gSOAP-debuginfo-1.3.5-2.el5.x86_64.rpm
CGSI-gSOAP-devel-1.3.5-2.el5.x86_64.rpm
gfal-1.14.0-1.el5.x86_64.rpm
gfal-debuginfo-1.14.0-1.el5.x86_64.rpm
gfal-devel-1.14.0-1.el5.x86_64.rpm
gfal-doc-1.14.0-1.el5.x86_64.rpm
gfal-python-1.14.0-1.el5.x86_64.rpm
gfal2-2.1.0-2.el5.x86_64.rpm
gfal2-all-2.1.0-2.el5.x86_64.rpm
gfal2-core-2.1.0-2.el5.x86_64.rpm
gfal2-debuginfo-2.1.0-2.el5.x86_64.rpm
gfal2-devel-2.1.0-2.el5.x86_64.rpm
gfal2-doc-2.1.0-2.el5.x86_64.rpm
gfal2-plugin-dcap-2.1.0-2.el5.x86_64.rpm
gfal2-plugin-gridftp-2.1.0-2.el5.x86_64.rpm
gfal2-plugin-lfc-2.1.0-2.el5.x86_64.rpm
gfal2-plugin-rfio-2.1.0-2.el5.x86_64.rpm
gfal2-plugin-srm-2.1.0-2.el5.x86_64.rpm
gfal2-python-1.1.0-0.el5.x86_64.rpm
gfal2-python-debuginfo-1.1.0-0.el5.x86_64.rpm
gfal2-python-doc-1.1.0-0.el5.x86_64.rpm
gfal2-transfer-2.1.0-2.el5.x86_64.rpm
gfal2-utils-0.0.14-0.1.alpha.el5.x86_64.rpm
gfal2-utils-debuginfo-0.0.14-0.1.alpha.el5.x86_64.rpm
gfalFS-1.0.1-0.el5.x86_64.rpm
gfalFS-debuginfo-1.0.1-0.el5.x86_64.rpm
gridftp-ifce-2.3.0-0.el5.x86_64.rpm
gridftp-ifce-debuginfo-2.3.0-0.el5.x86_64.rpm
gridftp-ifce-devel-2.3.0-0.el5.x86_64.rpm
is-interface-1.14.0-0.el5.x86_64.rpm
is-interface-debuginfo-1.14.0-0.el5.x86_64.rpm
is-interface-devel-1.14.0-0.el5.x86_64.rpm
lcg-util-1.14.0-0.el5.x86_64.rpm
lcg-util-debuginfo-1.14.0-0.el5.x86_64.rpm
lcg-util-devel-1.14.0-0.el5.x86_64.rpm
lcg-util-libs-1.14.0-0.el5.x86_64.rpm
lcg-util-python-1.14.0-0.el5.x86_64.rpm
srm-ifce-1.14.0-1.el5.x86_64.rpm
srm-ifce-debuginfo-1.14.0-1.el5.x86_64.rpm
srm-ifce-devel-1.14.0-1.el5.x86_64.rpm
SL6
GSI-gSOAP-1.3.5-2.el6.x86_64.rpm
CGSI-gSOAP-debuginfo-1.3.5-2.el6.x86_64.rpm
CGSI-gSOAP-devel-1.3.5-2.el6.x86_64.rpm
gfal-1.14.0-1.el6.x86_64.rpm
gfal-debuginfo-1.14.0-1.el6.x86_64.rpm
gfal-devel-1.14.0-1.el6.x86_64.rpm
gfal-doc-1.14.0-1.el6.x86_64.rpm
gfal-python-1.14.0-1.el6.x86_64.rpm
gfal2-2.1.0-2.el6.x86_64.rpm
gfal2-all-2.1.0-2.el6.x86_64.rpm
gfal2-core-2.1.0-2.el6.x86_64.rpm
gfal2-debuginfo-2.1.0-2.el6.x86_64.rpm
gfal2-devel-2.1.0-2.el6.x86_64.rpm
gfal2-doc-2.1.0-2.el6.x86_64.rpm
gfal2-plugin-dcap-2.1.0-2.el6.x86_64.rpm
gfal2-plugin-gridftp-2.1.0-2.el6.x86_64.rpm
gfal2-plugin-lfc-2.1.0-2.el6.x86_64.rpm
gfal2-plugin-rfio-2.1.0-2.el6.x86_64.rpm
gfal2-plugin-srm-2.1.0-2.el6.x86_64.rpm
gfal2-python-1.1.0-0.el6.x86_64.rpm
gfal2-python-debuginfo-1.1.0-0.el6.x86_64.rpm
gfal2-python-doc-1.1.0-0.el6.x86_64.rpm
gfal2-transfer-2.1.0-2.el6.x86_64.rpm
gfal2-utils-0.0.14-0.1.alpha.el6.x86_64.rpm
gfal2-utils-debuginfo-0.0.14-0.1.alpha.el6.x86_64.rpm
gfalFS-1.0.1-0.el6.x86_64.rpm
gfalFS-debuginfo-1.0.1-0.el6.x86_64.rpm
gridftp-ifce-2.3.0-0.el6.x86_64.rpm
gridftp-ifce-debuginfo-2.3.0-0.el6.x86_64.rpm
gridftp-ifce-devel-2.3.0-0.el6.x86_64.rpm
is-interface-1.14.0-0.el6.x86_64.rpm
is-interface-debuginfo-1.14.0-0.el6.x86_64.rpm
is-interface-devel-1.14.0-0.el6.x86_64.rpm
lcg-util-1.14.0-0.el6.x86_64.rpm
lcg-util-debuginfo-1.14.0-0.el6.x86_64.rpm
lcg-util-devel-1.14.0-0.el6.x86_64.rpm
lcg-util-libs-1.14.0-0.el6.x86_64.rpm
lcg-util-python-1.14.0-0.el6.x86_64.rpm
srm-ifce-1.14.0-1.el6.x86_64.rpm
srm-ifce-debuginfo-1.14.0-1.el6.x86_64.rpm
srm-ifce-devel-1.14.0-1.el6.x86_64.rpm
Binary tarballs:
SL5
CGSI-gSOAP-1.3.5-2.el5.x86_64.tar.gz
CGSI-gSOAP-devel-1.3.5-2.el5.x86_64.tar.gz
gfal-1.14.0-1.el5.x86_64.tar.gz
gfal-devel-1.14.0-1.el5.x86_64.tar.gz
gfal-doc-1.14.0-1.el5.x86_64.tar.gz
gfal-python-1.14.0-1.el5.x86_64.tar.gz
gfal2-2.1.0-2.el5.x86_64.tar.gz
gfal2-all-2.1.0-2.el5.x86_64.tar.gz
gfal2-core-2.1.0-2.el5.x86_64.tar.gz
gfal2-devel-2.1.0-2.el5.x86_64.tar.gz
gfal2-doc-2.1.0-2.el5.x86_64.tar.gz
gfal2-plugin-dcap-2.1.0-2.el5.x86_64.tar.gz
gfal2-plugin-gridftp-2.1.0-2.el5.x86_64.tar.gz
gfal2-plugin-lfc-2.1.0-2.el5.x86_64.tar.gz
gfal2-plugin-rfio-2.1.0-2.el5.x86_64.tar.gz
gfal2-plugin-srm-2.1.0-2.el5.x86_64.tar.gz
gfal2-python-1.1.0-0.el5.x86_64.tar.gz
gfal2-python-doc-1.1.0-0.el5.x86_64.tar.gz
gfal2-transfer-2.1.0-2.el5.x86_64.tar.gz
gfal2-utils-0.0.14-0.1.alpha.el5.x86_64.tar.gz
gfalFS-1.0.1-0.el5.x86_64.tar.gz
gridftp-ifce-2.3.0-0.el5.x86_64.tar.gz
gridftp-ifce-devel-2.3.0-0.el5.x86_64.tar.gz
is-interface-1.14.0-0.el5.x86_64.tar.gz
is-interface-devel-1.14.0-0.el5.x86_64.tar.gz
lcg-util-1.14.0-0.el5.x86_64.tar.gz
lcg-util-devel-1.14.0-0.el5.x86_64.tar.gz
lcg-util-libs-1.14.0-0.el5.x86_64.tar.gz
lcg-util-python-1.14.0-0.el5.x86_64.tar.gz
srm-ifce-1.14.0-1.el5.x86_64.tar.gz
srm-ifce-devel-1.14.0-1.el5.x86_64.tar.gz
SL6
GSI-gSOAP-1.3.5-2.el6.x86_64.tar.gz
CGSI-gSOAP-devel-1.3.5-2.el6.x86_64.tar.gz
cgreen-1.0.1-2_epel.x86_64.tar.gz
cgreen-devel-1.0.1-2_epel.x86_64.tar.gz
gfal-1.14.0-1.el6.x86_64.tar.gz
gfal-devel-1.14.0-1.el6.x86_64.tar.gz
gfal-doc-1.14.0-1.el6.x86_64.tar.gz
gfal-python-1.14.0-1.el6.x86_64.tar.gz
gfal2-2.1.0-2.el6.x86_64.tar.gz
gfal2-all-2.1.0-2.el6.x86_64.tar.gz
gfal2-core-2.1.0-2.el6.x86_64.tar.gz
gfal2-devel-2.1.0-2.el6.x86_64.tar.gz
gfal2-doc-2.1.0-2.el6.x86_64.tar.gz
gfal2-plugin-dcap-2.1.0-2.el6.x86_64.tar.gz
gfal2-plugin-gridftp-2.1.0-2.el6.x86_64.tar.gz
gfal2-plugin-lfc-2.1.0-2.el6.x86_64.tar.gz
gfal2-plugin-rfio-2.1.0-2.el6.x86_64.tar.gz
gfal2-plugin-srm-2.1.0-2.el6.x86_64.tar.gz
gfal2-python-1.1.0-0.el6.x86_64.tar.gz
gfal2-python-doc-1.1.0-0.el6.x86_64.tar.gz
gfal2-transfer-2.1.0-2.el6.x86_64.tar.gz
gfal2-utils-0.0.14-0.1.alpha.el6.x86_64.tar.gz
gfalFS-1.0.1-0.el6.x86_64.tar.gz
gridftp-ifce-2.3.0-0.el6.x86_64.tar.gz
gridftp-ifce-devel-2.3.0-0.el6.x86_64.tar.gz
is-interface-1.14.0-0.el6.x86_64.tar.gz
is-interface-devel-1.14.0-0.el6.x86_64.tar.gz
lcg-util-1.14.0-0.el6.x86_64.tar.gz
lcg-util-devel-1.14.0-0.el6.x86_64.tar.gz
lcg-util-libs-1.14.0-0.el6.x86_64.tar.gz
lcg-util-python-1.14.0-0.el6.x86_64.tar.gz
srm-ifce-1.14.0-1.el6.x86_64.tar.gz
srm-ifce-devel-1.14.0-1.el6.x86_64.tar.gz
Sources:
SL5
CGSI-gSOAP-1.3.5-2.src.rpm
cgreen-1.0.1-2_epel.src.rpm
gfal-1.14.0-1.src.rpm
gfal2-2.1.0-2.src.rpm
gfal2-python-1.1.0-0.src.rpm
gfal2-utils-0.0.14-0.1.alpha.src.rpm
gfalFS-1.0.1-0.src.rpm
gridftp-ifce-2.3.0-0.src.rpm
is-interface-1.14.0-0.src.rpm
lcg-util-1.14.0-0.src.rpm
srm-ifce-1.14.0-1.src.rpm
SL6
CGSI-gSOAP-1.3.5-2.el6.src.rpm
cgreen-1.0.1-2_epel.src.rpm
gfal-1.14.0-1.el6.src.rpm
gfal2-2.1.0-2.el6.src.rpm
gfal2-python-1.1.0-0.el6.src.rpm
gfal2-utils-0.0.14-0.1.alpha.el6.src.rpm
gfalFS-1.0.1-0.el6.src.rpm
gridftp-ifce-2.3.0-0.el6.src.rpm
is-interface-1.14.0-0.el6.src.rpm
lcg-util-1.14.0-0.el6.src.rpm
srm-ifce-1.14.0-1.el6.src.rpm

FTS v. 2.2.9, Task #38295

Affected Services

  • affected services FTS, UI & WN

What's New

  • This revision update provides fixes for:
    • some files are still under ($prefix)/etc
    • set emi-version in fts-info-provider for glue2
    • create sym link of glite-sd2cache-cron to /etc/cron.hourly/glite-sd2cache-cron
    • /usr/sbin/glite-data-transfer-fts-info-provider: line 821: sqlplus: command not found
    • EMI FTS configuration file permissions - /etc/tomcat5/Catalina/localhost/glite-data-transfer-fts.xml
    • Proxy expiration issue, more details here https://ggus.eu/tech/ticket_show.php?ticket=81844
    • FTS msg-ifce patch - workaround to fix activemq-cpp bugs
    • libxslt & python-ldap dependencies missing from sd2-cache
    • transfer-fts needs rebuild forVOMS Java API critical patch
    • Missing dependencies of nagios-plugins-fts package lcg-infosites

Installation and Configuration

  • Update FTS/FTA 2.2.9 (EMI 2)
       # yum update emi-fts_oracle
       # yum update emi-fta_oracle
  • Configuration

Known issues

  • None for now.

List of RfCs

Documentation

Updated artifacts

Binaries:
SL5
util-c-1.3.3-1.el5.x86_64.rpm
fts-devel-1.0.1-1.noarch.rpm
yaim-fts-4.1.15-1.noarch.rpm
delegation-api-c-2.1.3-1.el5.x86_64.rpm
agents-common-1.1.7-1.el5.x86_64.rpm
config-service-2.6.10-1.el5.x86_64.rpm
delegation-cli-2.1.4-1.el5.x86_64.rpm
srm-util-cpp-2.4.3-1.el5.x86_64.rpm
srm-api-c-1.2.3-1.el5.x86_64.rpm
transfer-agents-3.4.12-1.el5.x86_64.rpm
transfer-url-copy-4.1.6-1.el5.x86_64.rpm
msg-ifce-1.0.2-1.el5.x86_64.rpm
transfer-proxyrenewal-1.0.3-1.el5.x86_64.rpm
nagios-plugins-fts-1.0.1-1.el5.noarch.rpm
sd2cache-1.1.6-1.el5.x86_64.rpm
transfer-scripts-2.2.3-1.el5.noarch.rpm
transfer-fts-3.7.13-1.noarch.rpm
SL6
util-c-1.3.3-1.el6.x86_64.rpm
fts-devel-1.0.1-1.noarch.rpm
yaim-fts-4.1.15-1.noarch.rpm
delegation-api-c-2.1.3-1.el6.x86_64.rpm
agents-common-1.1.7-1.el6.x86_64.rpm
config-service-2.6.10-1.el6.x86_64.rpm
delegation-cli-2.1.4-1.el6.x86_64.rpm
srm-util-cpp-2.4.3-1.el6.x86_64.rpm
srm-api-c-1.2.3-1.el6.x86_64.rpm
transfer-agents-3.4.12-1.el6.x86_64.rpm
transfer-url-copy-4.1.6-1.el6.x86_64.rpm
msg-ifce-1.0.2-1.el6.x86_64.rpm
transfer-proxyrenewal-1.0.3-1.el6.x86_64.rpm
nagios-plugins-fts-1.0.1-1.el6.noarch.rpm
sd2cache-1.1.6-1.el6.x86_64.rpm
transfer-scripts-2.2.3-1.el6.noarch.rpm
transfer-fts-3.7.13-1.noarch.rpm
Binary tarballs:
SL5
util-c-1.3.3-1.el5.x86_64.tar.gz
fts-devel-1.0.1-1.noarch.tar.gz
yaim-fts-4.1.15-1.noarch.tar.gz
delegation-api-c-2.1.3-1.el5.x86_64.tar.gz
agents-common-1.1.7-1.el5.x86_64.tar.gz
config-service-2.6.10-1.el5.x86_64.tar.gz
delegation-cli-2.1.4-1.el5.x86_64.tar.gz
srm-util-cpp-2.4.3-1.el5.x86_64.tar.gz
srm-api-c-1.2.3-1.el5.x86_64.tar.gz
transfer-agents-3.4.12-1.el5.x86_64.tar.gz
transfer-url-copy-4.1.6-1.el5.x86_64.tar.gz
msg-ifce-1.0.2-1.el5.x86_64.tar.gz
transfer-proxyrenewal-1.0.3-1.el5.x86_64.tar.gz
nagios-plugins-fts-1.0.1-1.el5.noarch.tar.gz
sd2cache-1.1.6-1.el5.x86_64.tar.gz
transfer-scripts-2.2.3-1.el5.noarch.tar.gz
transfer-fts-3.7.13-1.noarch.tar.gz
SL6
util-c-1.3.3-1.el6.x86_64.tar.gz
fts-devel-1.0.1-1.noarch.tar.gz
yaim-fts-4.1.15-1.noarch.tar.gz
delegation-api-c-2.1.3-1.el6.x86_64.tar.gz
agents-common-1.1.7-1.el6.x86_64.tar.gz
config-service-2.6.10-1.el6.x86_64.tar.gz
delegation-cli-2.1.4-1.el6.x86_64.tar.gz
srm-util-cpp-2.4.3-1.el6.x86_64.tar.gz
srm-api-c-1.2.3-1.el6.x86_64.tar.gz
transfer-agents-3.4.12-1.el6.x86_64.tar.gz
transfer-url-copy-4.1.6-1.el6.x86_64.tar.gz
msg-ifce-1.0.2-1.el6.x86_64.tar.gz
transfer-proxyrenewal-1.0.3-1.el6.x86_64.tar.gz
nagios-plugins-fts-1.0.1-1.el6.noarch.tar.gz
sd2cache-1.1.6-1.el6.x86_64.tar.gz
transfer-scripts-2.2.3-1.el5.noarch.tar.gz
transfer-fts-3.7.13-1.noarch.tar.gz
Sources:
SL5
util-c-1.3.3-1.src.rpm
fts-devel-1.0.1-1.src.rpm
yaim-fts-4.1.15-1.src.rpm
delegation-api-c-2.1.3-1.src.rpm
agents-common-1.1.7-1.src.rpm
config-service-2.6.10-1.src.rpm
transfer-cli-4.0.4-1.src.rpm
delegation-cli-2.1.4-1.src.rpm
transfer-interface-3.7.3-1.src.rpm
srm-util-cpp-2.4.3-1.src.rpm
srm2-api-c-2.3.4-1.src.rpm
srm-api-c-1.2.3-1.src.rpm
transfer-agents-3.4.12-1.src.rpm
transfer-url-copy-4.1.6-1.src.rpm
msg-ifce-1.0.2-1.src.rpm
transfer-proxyrenewal-1.0.3-1.src.rpm
nagios-plugins-fts-1.0.1-1.src.rpm
sd2cache-1.1.6-1.src.rpm
transfer-scripts-2.2.3-1.src.rpm
transfer-fts-3.7.13-1.src.rpm
SL6
util-c-1.3.3-1.el6.src.rpm
fts-devel-1.0.1-1.el6.src.rpm
yaim-fts-4.1.15-1.el6.src.rpm
delegation-api-c-2.1.3-1.el6.src.rpm
agents-common-1.1.7-1.el6.src.rpm
config-service-2.6.10-1.el6.src.rpm
transfer-cli-4.0.4-1.el6.src.rpm
delegation-cli-2.1.4-1.el6.src.rpm
transfer-interface-3.7.3-1.el6.src.rpm
srm-util-cpp-2.4.3-1.el6.src.rpm
srm2-api-c-2.3.4-1.el6.src.rpm
srm-api-c-1.2.3-1.el6.src.rpm
transfer-agents-3.4.12-1.el6.src.rpm
transfer-url-copy-4.1.6-1.el6.src.rpm
msg-ifce-1.0.2-1.el6.src.rpm
transfer-proxyrenewal-1.0.3-1.el6.src.rpm
nagios-plugins-fts-1.0.1-1.el6.src.rpm
sd2cache-1.1.6-1.el6.src.rpm
transfer-scripts-2.2.3-1.el6.src.rpm
transfer-fts-3.7.13-1.el6.src.rpm

UNICORE/X6 v. 5.1.0, Task #38421

What's New

  • This release is backwards compatible. The list of changes:
    • storages publish a list of server-to-server transfers (SF enhancements #3468402)
    • - fix: requesting a non-existent execution environment did not leadto failed a job (SF bug #3487520)
    • - new feature: metadata crawler (i.e. include exclude files) can be controlled using a special file in the base directory
    • - new feature: in case of errors, get detailed information about a job from the batch system (SF improvements #3405627)
    • - improvement/fix: pass on user-set job name to TSI (TSI_JOBNAME) (SF improvements #3514589)
    • - new feature: server-server transfer rate is published in file transfer properties (SF improvements #3474321)
    • - improvement: enabled file transfer protocols are update dynamicallywhere possible (SF improvements #3462887)
    • - improvement: refactored Security information RP (showing client's xlogins, groups, server's accepted VOs and trusted CAs)
    • - improvement: assignment of requests to VOs (SF improvements #3495695)
    • - add support for the EMI registry (see docs/unicorex/emir.txt)

Installation and Configuration

  • Nothing special here

Known issues

  • None

List of RfCs

Documentation

Updated artifacts

Binaries:
SL5
unicore-unicorex6-5.1.0-0.sl5.noarch.rpm
SL6
unicore-unicorex6-5.1.0-0.sl6.noarch.rpm
Deb6
unicore-unicorex6_5.1.0-0.deb6_all.deb
Binary tarballs:
SL5
unicore-unicorex6-5.1.0-0.sl5.noarch.tar.gz
SL6
unicore-unicorex6-5.1.0-0.sl5.noarch.tar.gz
Deb6
unicore-unicorex6_5.1.0-0.deb6_all.tar.gz
Sources:
SL5
unicore-unicorex6-5.1.0-0.sl5.src.rpm
SL6
unicore-unicorex6-5.1.0-0.sl6.src.rpm
Deb6
unicore-unicorex6_5.1.0-0.deb6.dsc

UNICORE TSI6 v. 5.1.0, Task #38425

What's New

  • This is an update release of the TSI providing fixes for the resource reservation support in Maui/Torque and adding an implementation of resource reservation for Slurm.
  • Additionally there are some fixes in the NOBATCH module.

Installation and Configuration

  • Since upgrading from rpm/deb is not properly supported, it is suggested to remove and re-install the tsi package.
  • The setup script will backup any locally modified files, so that your local changes can be easily merged with the updated files.

Known issues

  • None

List of RfCs

Documentation

Updated artifacts

Binaries:
SL5
unicore-tsi6-5.1.0-0.sl5.noarch.rpm
SL6
unicore-tsi6-5.1.0-0.sl6.noarch.rpm
Deb6
unicore-tsi6_5.1.0-0.deb6_all.deb
Binary tarballs:
SL5
unicore-tsi6-5.1.0-0.sl5.noarch.tar.gz
SL6
unicore-tsi6-5.1.0-0.sl6.noarch.tar.gz
Deb6
unicore-tsi6_5.1.0-0.deb6_all.tar.gz
Sources:
SL5
unicore-tsi6-5.1.0-0.sl5.src.rpm
SL6
unicore-tsi6-5.1.0-0.sl6.src.rpm
Deb6
unicore-tsi6_5.1.0-0.deb6_all.dsc

VOMS v. 2.0.10-1, Task #38257

Affected Services

  • VOMS (Java APIs) - affected services: UI, ARGUS, StoRM-SE (StoRM-GridHTTPS-Server), VOMS

What's New

Installation and Configuration

  • After the packages are upgrade services that rely on the APIs should be restarted.

Known issues

  • None.

List of RfCs

Documentation

Updated artifacts

Binaries:
SL5
voms-api-java-2.0.10-1.el5.noarch.rpm
voms-api-java-javadoc-2.0.10-1.el5.noarch.rpm
SL6
voms-api-java-2.0.10-1.el6.noarch.rpm
voms-api-java-javadoc-2.0.10-1.el6.noarch.rpm
Binary tarballs:
SL5
voms-api-java-2.0.10-1.el5.noarch.tar.gz
voms-api-java-javadoc-2.0.10-1.el5.noarch.tar.gz
SL6
voms-api-java-2.0.10-1.el6.noarch.tar.gz
voms-api-java-javadoc-2.0.10-1.el6.noarch.tar.gz
Sources:
SL5
voms-api-java-2.0.10-1.sl5.src.rpm
SL6
voms-api-java-2.0.10-1.sl6.src.rpm
Edit | Attach | Watch | Print version | History: r8 < r7 < r6 < r5 < r4 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r8 - 2013-02-06 - DoinaCristinaAiftimiei
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EMI All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback